<script lang="ts" setup>
import { useStockStore } from '@/stores/stock';
const stockStore = useStockStore();
</script>
<template>
    <v-row class="justify-center">
      <v-dialog
        v-model="stockStore.deleteDialog"
        persistent
        width="auto"
      >
        <v-card width="500px" height="300px" color="#EDEADE">
            <v-row class="justify-center">
            <v-card class="pa-5 ma-2 text-h4 text-center" width="100%" height="80px" color="#FF4A4A"
              style="color: white"><label>ยืนยันการลบข้อมูล</label>
            </v-card>
        </v-row>
          <v-card-text class="text-center">
            <label class="btext">{{ stockStore.dName}}</label><br><br>
            <label class="stext">ใช่ หรือ ไม่</label>
        </v-card-text>
          <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn size="x-large" class="btngr"
              @click="stockStore.deleteDialog = false"
            >
              NO
            </v-btn>
            <v-btn size="x-large" class="btng"
              @click="stockStore.deleteStock(stockStore.dID)"
            >
              YES
            </v-btn>
          </v-card-actions>
        </v-card>
      </v-dialog>
    </v-row>
  </template>
  <style scoped>
  @import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");
  label {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    font-size: 24px !important;
  }
  .stext{
    font-size: 18px !important;
  }

  .btext{
    font-size: 24px !important;
  }
  .btng {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    background-color: #9BCB3C;
    width: 80px;
}

.btngr {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    background-color: #C0C0C0;
    width: 80px;
}
</style>